%kosci.m 
%
% AGH Akademia Grniczo-Hutnicza w Krakowie
% Laboratorium Biocybernetyki
%
% Wprowadzenie do modelowania cybernetycznego 
% systemw biologicznych oraz ich symulacji w rodowisku MATLAB
%
% Przykad 4.1
% Model kosci, badanie wielkosci naprezen i sposobu poruszania sie zwierzecia
%---------------------------------------------------------------------

%Definicja parametrw modelu

M = 120; % masa ciaa [kg]
l = 0.4; % dugosc kosci [m]
d = 0.05; % srednica kosci [m]
S = 0.2*pi*d^2/4; % 20% przekroju penego [m2]

%Tre modelu

% Obliczenia wartosci si dziaajacych na kosc
% nogi ustawionej pod katem alfa do pionu:
F = 9.81*M/4; % ciezar przypadajacy na jedna noge
alfa = pi/6; % kat ustawienia nogi [rad]
Fo = F*cos(alfa); % sia sciskajaca
Fp = F*sin(alfa); % sia zginajaca
% Obliczenia wartosci napreen sciskajacego i
% zginajacego
sigma0 = Fo/S % naprezenie sciskajace
sigmap = Fp*l/(S*d) % naprezenie zginajace
% Obliczenia wartosci wspczynnika zapas wytrzymaosci
ni = S*d/(M*l)