


% modelkosci.m 
%
% AGH Akademia Grniczo-Hutnicza w Krakowie
% Laboratorium Biocybernetyki
%
% Wprowadzenie do modelowania cybernetycznego 
% systemw biologicznych oraz ich symulacji w rodowisku MATLAB
%
% Przykad 4.4 ze strony 146
%--------------------------------------------------------------

% 4.4. Symulacja modelu kosci, badanie wielkosci naprezen i sposobu
% poruszania sie zwierzecia


function varargout = modelkosci(varargin)
% MODELKOSCI M-file for modelkosci.fig
%      MODELKOSCI, by itself, creates a new MODELKOSCI or raises the existing
%      singleton*.
%
%      H = MODELKOSCI returns the handle to a new MODELKOSCI or the handle to
%      the existing singleton*.
%
%      MODELKOSCI('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in MODELKOSCI.M with the given input arguments.
%
%      MODELKOSCI('Property','Value',...) creates a new MODELKOSCI or raises
%      the existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before modelkosci_OpeningFcn gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to modelkosci_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help modelkosci

% Last Modified by GUIDE v2.5 15-Apr-2012 20:23:51

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @modelkosci_OpeningFcn, ...
                   'gui_OutputFcn',  @modelkosci_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT

% --- Executes just before modelkosci is made visible.
function modelkosci_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to modelkosci (see VARARGIN)

% Choose default command line output for modelkosci
handles.output = hObject;

% Update handles structure
guidata(hObject, handles);

initialize_gui(hObject, handles, false);

% UIWAIT makes modelkosci wait for user response (see UIRESUME)
% uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = modelkosci_OutputFcn(hObject, eventdata, handles)
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;


% --- Executes during object creation, after setting all properties.
function density_CreateFcn(hObject, eventdata, handles)
% hObject    handle to density (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function density_Callback(hObject, eventdata, handles)
% hObject    handle to density (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of density as text
%        str2double(get(hObject,'String')) returns contents of density as a double
density = str2double(get(hObject, 'String'));
if isnan(density)
    set(hObject, 'String', 0);
    errordlg('Input must be a number','Error');
end

% Save the new density value
handles.metricdata.density = density;
guidata(hObject,handles)

% --- Executes during object creation, after setting all properties.
function volume_CreateFcn(hObject, eventdata, handles)
% hObject    handle to volume (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function volume_Callback(hObject, eventdata, handles)
% hObject    handle to volume (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of volume as text
%        str2double(get(hObject,'String')) returns contents of volume as a double
volume = str2double(get(hObject, 'String'));
if isnan(volume)
    set(hObject, 'String', 0);
    errordlg('Input must be a number','Error');
end

% Save the new volume value
handles.metricdata.volume = volume;
guidata(hObject,handles)

% --- Executes on button press in symulacja.
function symulacja_Callback(hObject, eventdata, handles)
% hObject    handle to symulacja (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


%obliczenia modeulu

F0 =str2double(get(handles.F0txt,'String'))
Fp = str2double(get(handles.Fptxt,'String'))
S = str2double(get(handles.Stxt,'String'))
d = str2double(get(handles.dtxt,'String'))
l = str2double(get(handles.ltxt,'String'))
beta = str2double(get(handles.betatxt,'String'))
M = str2double(get(handles.masatxt,'String'))

S = pi*d*d/8;

set(handles.Stxt, 'String', S);
l=8*d;
set(handles.ltxt, 'String', l);

sigma0 = F0/S
sigmap = Fp*l / (S*d)
ni = S*d / (M*l)



plot(handles.axes2,2,2);


a = [ 1 2]
b= [sigma0 sigmap]


colormap Jet
bar(handles.axes8,a,b)


a = [ 1 2 3]
b= [3.14 ni 22]


bar(handles.axes2,a,b);





% --- Executes on button press in reset.
function reset_Callback(hObject, eventdata, handles)
% hObject    handle to reset (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

initialize_gui(gcbf, handles, true);

bar(handles.axes2,0,0);

% --- Executes when selected object changed in unitgroup.
function unitgroup_SelectionChangeFcn(hObject, eventdata, handles)
% hObject    handle to the selected object in unitgroup 
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

if (hObject == handles.english)
    set(handles.text4, 'String', 'lb/cu.in');
    set(handles.text5, 'String', 'cu.in');
    set(handles.text6, 'String', 'lb');
else
    set(handles.text4, 'String', 'kg/cu.m');
    set(handles.text5, 'String', 'cu.m');
    set(handles.text6, 'String', 'kg');
end

% --------------------------------------------------------------------
function initialize_gui(fig_handle, handles, isreset)
% If the metricdata field is present and the reset flag is false, it means
% we are we are just re-initializing a GUI by calling it from the cmd line
% while it is up. So, bail out as we dont want to reset the data.
if isfield(handles, 'metricdata') && ~isreset
    return;
end

imgg = imread('gepard.jpg');
imgd= imread('dino1.jpg');
imgs= imread('slon.jpg');
imgk=imread('kosc.jpg');
imgm=imread('model_kosci.jpg');

imshow(imgg,'Parent',handles.gepard);
imshow(imgg,'Parent',handles.gepard1);
imshow(imgd,'Parent',handles.dino);
imshow(imgd,'Parent',handles.dino1);

imshow(imgs,'Parent',handles.slon);

imshow(imgm,'Parent',handles.model);

imshow(imgk,'Parent',handles.kosc);


% Update handles structure
guidata(handles.figure1, handles);


% --- Executes on button press in dinoradio.
function dinoradio_Callback(hObject, eventdata, handles)
% hObject    handle to dinoradio (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of dinoradio
set(handles.dtxt, 'String', '800');
set(handles.masatxt, 'String', '10000');

set(handles.slonradio, 'Value', 0.0);
set(handles.gepartradio, 'Value', 0.0);

% --- Executes on button press in slonradio.
function slonradio_Callback(hObject, eventdata, handles)
% hObject    handle to slonradio (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of slonradio

%ustawienia parametrow dla slonia
set(handles.dtxt, 'String', '400');
set(handles.masatxt, 'String', '1000');

set(handles.dinoradio, 'Value', 0.0);
set(handles.gepartradio, 'Value', 0.0);


% --- Executes on button press in gepartradio.
function gepartradio_Callback(hObject, eventdata, handles)
% hObject    handle to gepartradio (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of gepartradio

set(handles.dtxt, 'String', '211');
set(handles.masatxt, 'String', '100');

set(handles.dinoradio, 'Value', 0.0);
set(handles.slonradio, 'Value', 0.0);


function F0txt_Callback(hObject, eventdata, handles)
% hObject    handle to F0txt (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of F0txt as text
%        str2double(get(hObject,'String')) returns contents of F0txt as a double


% --- Executes during object creation, after setting all properties.
function F0txt_CreateFcn(hObject, eventdata, handles)
% hObject    handle to F0txt (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function Fptxt_Callback(hObject, eventdata, handles)
% hObject    handle to Fptxt (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Fptxt as text
%        str2double(get(hObject,'String')) returns contents of Fptxt as a double


% --- Executes during object creation, after setting all properties.
function Fptxt_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Fptxt (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function Stxt_Callback(hObject, eventdata, handles)
% hObject    handle to Stxt (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Stxt as text
%        str2double(get(hObject,'String')) returns contents of Stxt as a double


% --- Executes during object creation, after setting all properties.
function Stxt_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Stxt (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function dtxt_Callback(hObject, eventdata, handles)
% hObject    handle to dtxt (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of dtxt as text
%        str2double(get(hObject,'String')) returns contents of dtxt as a double


% --- Executes during object creation, after setting all properties.
function dtxt_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dtxt (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function ltxt_Callback(hObject, eventdata, handles)
% hObject    handle to ltxt (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of ltxt as text
%        str2double(get(hObject,'String')) returns contents of ltxt as a double


% --- Executes during object creation, after setting all properties.
function ltxt_CreateFcn(hObject, eventdata, handles)
% hObject    handle to ltxt (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function betatxt_Callback(hObject, eventdata, handles)
% hObject    handle to betatxt (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of betatxt as text
%        str2double(get(hObject,'String')) returns contents of betatxt as a double


% --- Executes during object creation, after setting all properties.
function betatxt_CreateFcn(hObject, eventdata, handles)
% hObject    handle to betatxt (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function masatxt_Callback(hObject, eventdata, handles)
% hObject    handle to masatxt (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of masatxt as text
%        str2double(get(hObject,'String')) returns contents of masatxt as a double


% --- Executes during object creation, after setting all properties.
function masatxt_CreateFcn(hObject, eventdata, handles)
% hObject    handle to masatxt (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton10.
function pushbutton10_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton10 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

   
set(handles.F0txt, 'String', '20');

% pobieranie parametrow
F0 =str2double(get(handles.F0txt,'String'))
Fp = str2double(get(handles.Fptxt,'String'))
S = str2double(get(handles.Stxt,'String'))
d = str2double(get(handles.dtxt,'String'))
l = str2double(get(handles.ltxt,'String'))
beta = str2double(get(handles.betatxt,'String'))
M = str2double(get(handles.masatxt,'String'))

S = pi*d*d/8;
l=8*d;
ni = S*d / (M*l)


%plot(handles.axes2,0,ni, '*r');

bar(handles.axes2,0,0);

close;


% --- Executes on key press with focus on dinoradio and none of its controls.
function dinoradio_KeyPressFcn(hObject, eventdata, handles)
% hObject    handle to dinoradio (see GCBO)
% eventdata  structure with the following fields (see UICONTROL)
%	Key: name of the key that was pressed, in lower case
%	Character: character interpretation of the key(s) that was pressed
%	Modifier: name(s) of the modifier key(s) (i.e., control, shift) pressed
% handles    structure with handles and user data (see GUIDATA)


% --- Executes during object creation, after setting all properties.
function axes3_CreateFcn(hObject, eventdata, handles)
% hObject    handle to axes3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: place code in OpeningFcn to populate axes3

load('dino1.jpg')


% --- Executes during object creation, after setting all properties.
function axes4_CreateFcn(hObject, eventdata, handles)
% hObject    handle to axes4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: place code in OpeningFcn to populate axes4
load('gepard.jpg')


% --- Executes during object creation, after setting all properties.
function axes5_CreateFcn(hObject, eventdata, handles)
% hObject    handle to axes5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: place code in OpeningFcn to populate axes5

load('kosc.jpg')


% --- Executes during object creation, after setting all properties.
function axes6_CreateFcn(hObject, eventdata, handles)
% hObject    handle to axes6 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: place code in OpeningFcn to populate axes6

load('model_kosci.jpg')


% --- Executes during object creation, after setting all properties.
function axes7_CreateFcn(hObject, eventdata, handles)
% hObject    handle to axes7 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: place code in OpeningFcn to populate axes7
load('slon.jpg')


% --- Executes during object creation, after setting all properties.
function axes8_CreateFcn(hObject, eventdata, handles)
% hObject    handle to axes8 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: place code in OpeningFcn to populate axes8


% --- Executes during object creation, after setting all properties.
function axes9_CreateFcn(hObject, eventdata, handles)
% hObject    handle to axes9 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: place code in OpeningFcn to populate axes9
load('dino1.jpg')


% --- Executes during object creation, after setting all properties.
function axes10_CreateFcn(hObject, eventdata, handles)
% hObject    handle to axes10 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: place code in OpeningFcn to populate axes10

load('gepard.jpg')


% --- Executes during object deletion, before destroying properties.
function slonradio_DeleteFcn(hObject, eventdata, handles)
% hObject    handle to slonradio (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes during object creation, after setting all properties.
function figure1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to figure1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes during object creation, after setting all properties.
function pushbutton10_CreateFcn(hObject, eventdata, handles)
% hObject    handle to pushbutton10 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes during object creation, after setting all properties.
function kosc_CreateFcn(hObject, eventdata, handles)
% hObject    handle to kosc (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: place code in OpeningFcn to populate kosc


% --- Executes during object creation, after setting all properties.
function dino_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dino (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: place code in OpeningFcn to populate dino


% --- Executes during object creation, after setting all properties.
function slon_CreateFcn(hObject, eventdata, handles)
% hObject    handle to slon (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: place code in OpeningFcn to populate slon


% --- Executes during object creation, after setting all properties.
function axes2_CreateFcn(hObject, eventdata, handles)
% hObject    handle to axes2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: place code in OpeningFcn to populate axes2


% --- Executes during object creation, after setting all properties.
function dino1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dino1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: place code in OpeningFcn to populate dino1


% --- Executes during object creation, after setting all properties.
function dinoradio_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dinoradio (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes during object creation, after setting all properties.
function gepartradio_CreateFcn(hObject, eventdata, handles)
% hObject    handle to gepartradio (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes during object creation, after setting all properties.
function slonradio_CreateFcn(hObject, eventdata, handles)
% hObject    handle to slonradio (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


