%predkosc.m 
%
% AGH Akademia Grniczo-Hutnicza w Krakowie
% Laboratorium Biocybernetyki
%
% Wprowadzenie do modelowania cybernetycznego 
% systemw biologicznych oraz ich symulacji w rodowisku MATLAB
%
% Przykad 4.3
% Model biegu
%---------------------------------------------------------------------

% Parametry modelu 
 
% Model A - kangur 
mk = 70;       % masa kangura [kg] 
vk = 45;       % prdko poruszania si [km/h] 
xk = 0.1;      % skrcenie minia [m] 
Fmk = 54600;   % sia rozwijana przez minie [N] 
 
% Model B - gerbil 
mg = 0.1;      % masa gerbila [kg] 
vg = 45;       % prdko poruszania si [km/h] 
xg = 0.005;    % skrcenie minia [m] 
Fmg = 1562;    % sia rozwijana przez minie [N] 
  
% Obliczenia energii kinetycznej modelu  
% Model A - kangur 
EkA = mk*(vk/3.6)^2*0.5;  % energia modelu A [J] 
 
% Model B - gerbil 
EkB = mg*(vg/3.6)^2*0.5;  % energia modelu B [J] 
 
% Wspczynnik 3.6^2 pochodzi od zmiany jednostki z km/h na m/s 
 
% Obliczenia prdkoci biegu na podstawie: masy, siy  
% mini i wielkoci skurczu 
 
% Model A - kangur 
vA = ((2*Fmk*xk)/mk)^0.5*3.6    % prdko  modelu A [km/h] 
 
% Model B - gerbil 
vB = ((2*Fmg*xg)/mg)^0.5*3.6    % prdko modelu B [km/h] 