%skok.m 
%
% AGH Akademia Grniczo-Hutnicza w Krakowie
% Laboratorium Biocybernetyki
%
% Wprowadzenie do modelowania cybernetycznego 
% systemw biologicznych oraz ich symulacji w rodowisku MATLAB
%
% Przykad 4.4
% Model wysokoci skoku
%---------------------------------------------------------------------

% Parametry modelu 
 
% Model A - kangur 
mk = 70;     % masa kangura [kg] 
hko = 0.75;  % rodek cikoci [m] (poowa redniej 
             % wysokoci) 
xk = 0.05;   % skrcenie minia [m] 
Fmk = 24500; % sia rozwijana przez minie [N] 
 
% Model B - gerbil 
mg = 0.1;    % masa gerbila [kg] 
hgo = 0.2;   % rodek cikoci [m] (poowa redniej  
             % wysokoci) 
xg = 0.001;  % skrcenie minia [m] 
Fmg = 1200;  % sia rozwijana przez minie [N] 
  
% Wzgldna wysoko skoku (staa dla modelu A i B) 
h0 = 1;      % wzgldna wysoko skoku 1 [m] 
g = 10;      % przyspieszenie ziemskie [m/s2] 
  
% Obliczenia energii modelu oraz wzgldnej wysokoci skoku 

% Model A  kangur 
fprintf('Model A -kangur\n');
fprintf('Model A -kangur - wysoko skoku');
hpA = hko+h0         % wysoko skoku [m]     
fprintf('Model A -kangur - energia modelu');
EpA = hpA*mk*g       % energia modelu A [J] 
  
%Model B - gerbil 
fprintf('Model B -gerbil\n');
fprintf('Model B -gerbil - wysoko skoku');
hpB = hgo+h0         % wysoko skoku [m] 
fprintf('Model B -gerbil - energia modelu');
EpB = hpB*mg*g       % energia modelu B [J] 
  
% Obliczenia wysokoci skoku na podstawie masy, siy 
% mini i wielkoci skurczu 
 
% Model A  kangur    
fprintf('Obliczenia wysokoci skoku na podstawie masy, siy mini i wielkoci skurczu');
fprintf('Model A -kangur - wysoko skoku');
hA = (Fmk*xk)/(mk*g) % wysoko skoku [m] 
fprintf('Model B -gerbil - wysoko skoku');  
% Model B - gerbil 
hB = (Fmg*xg)/(mg*g) % wysoko skoku [m] 