% tetno_gui.m
%
% AGH Akademia Grniczo-Hutnicza w Krakowie
% Laboratorium Biocybernetyki
%
% Wprowadzenie do modelowania cybernetycznego 
% systemw biologicznych oraz ich symulacji w rodowisku MATLAB
%
% Dodatkowe pliki:
%'heartele.gif', 'heartman.gif', 'heartmse.gif'
%
% Program okienkowy Model ukadu krwiononego
%---------------------------------------------------------------------

function varargout = tetno_gui(varargin)
% TETNO_GUI M-file for tetno_gui.fig
%      TETNO_GUI, by itself, creates a new TETNO_GUI or raises the existing
%      singleton*.
%
%      H = TETNO_GUI returns the handle to a new TETNO_GUI or the handle to
%      the existing singleton*.
%
%      TETNO_GUI('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in TETNO_GUI.M with the given input arguments.
%
%      TETNO_GUI('Property','Value',...) creates a new TETNO_GUI or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before tetno_gui_OpeningFcn gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to tetno_gui_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help tetno_gui

% Last Modified by GUIDE v2.5 18-Oct-2011 17:08:06

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @tetno_gui_OpeningFcn, ...
                   'gui_OutputFcn',  @tetno_gui_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before tetno_gui is made visible.
function tetno_gui_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to tetno_gui (see VARARGIN)

% Choose default command line output for tetno_gui
handles.output = hObject;

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes tetno_gui wait for user response (see UIRESUME)
% uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = tetno_gui_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;


%symulacja ukadu krwiononego
function pushbutton1_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
sym=0;
if(get(handles.radiobutton1,'Value')==1)
    sym=1;
    set(handles.text23,'String','Czowiek');
    set(handles.text24,'String','So');
    delay_length = (1);%frame will be updated after 0.2 sec
    delay_length2 = (1.5);%frame will be updated after 0.2 sec
    gif_image = 'heartman.gif';
    gif_image2 = 'heartele.gif';
end
if(get(handles.radiobutton2,'Value')==1)
    sym=2;
    set(handles.text23,'String','Czowiek');
    set(handles.text24,'String','Mysz');
    delay_length2 = (1);%frame will be updated after 0.2 sec
    delay_length = (0.2);%frame will be updated after 0.2 sec
    gif_image = 'heartman.gif';
    gif_image2 = 'heartmse.gif';
end
if(get(handles.radiobutton3,'Value')==1)
    sym=3;
    set(handles.text23,'String','Mysz');
    set(handles.text24,'String','So');
    delay_length = (0.2);%frame will be updated after 0.2 sec
    delay_length2 = (1.5);%frame will be updated after 0.2 sec
    gif_image = 'heartmse.gif';
    gif_image2 = 'heartele.gif';
end
if(sym==0)
    set(handles.text23,'String','Model A');
    set(handles.text24,'String','Model B');
    delay_length = 0.2;%frame will be updated after 0.2 sec
    delay_length2 = 0.4;%frame will be updated after 0.2 sec
    gif_image2 = 'heartman.gif';
end

%Masa modelu A i B
m1=str2num(get(handles.edit1,'string'));
m2=str2num(get(handles.edit2,'string'));

%Model ukad krwionony- ttno

%Dane modelu A - czowiek
%Model A jest modelem wzorcowym

m_w = 90;    % [kg] - masa wzorcowa
vk_w = 1800; % [cm/min] - prdko przepywu krwi
sn_w = 24.6; % [cm^2] - przekrj naczy
qs_w = 600;  % [cm^3] - pojemno serca


%Dane modelu A 
nA=(vk_w*sn_w)/(qs_w*((m1/m_w)^(1/3)))
%Dane modelu B
nB=(vk_w*sn_w)/(qs_w*((m2/m_w)^(1/3)))

 set(handles.edit4,'string',num2str(m1));
 set(handles.edit9,'string',num2str(m2));
 set(handles.edit5,'string',num2str(nA));
 set(handles.edit8,'string',num2str(nB));
    
axes(handles.axes1);

[pathstr, name, ext, versn] = fileparts(gif_image); % file information retrieved here

if strcmp(ext,'.gif')
    [handles.im,handles.map] = imread(gif_image,'frames','all'); %read all frames of an gif image
    handles.len = size(handles.im,4); % number of frames in the gif image
    handles.h1 = imshow(handles.im(:,:,:,1),handles.map);%loads the first image along with its colormap
    handles.guifig = gcf;
    handles.count = 1;% intialise counter to update the next frame
    handles.tmr = timer('TimerFcn', {@TmrFcn,handles.guifig},'BusyMode','Queue',...
        'ExecutionMode','FixedRate','Period',delay_length); %form a Timer Object
    guidata(handles.guifig, handles);
    start(handles.tmr); %starts Timer
else
    error('Not a GIF image.Load only GIF images'); %If image is not GIF, show this error
end
set(gcf,'CloseRequestFcn',{@CloseFigure,handles});

axes(handles.axes2);


[pathstr, name, ext, versn] = fileparts(gif_image2); % file information retrieved here

if strcmp(ext,'.gif')
    [handles.im,handles.map] = imread(gif_image2,'frames','all'); %read all frames of an gif image
    handles.len1 = size(handles.im,4); % number of frames in the gif image
    handles.h12 = imshow(handles.im(:,:,:,1),handles.map);%loads the first image along with its colormap
    handles.guifig = gcf;
    handles.count1 = 1;% intialise counter to update the next frame
    handles.tmr2 = timer('TimerFcn', {@TmrFcn2,handles.guifig},'BusyMode','Queue',...
        'ExecutionMode','FixedRate','Period',delay_length2); %form a Timer Object
    guidata(handles.guifig, handles);
    start(handles.tmr2); %starts Timer
else
    error('Not a GIF image.Load only GIF images'); %If image is not GIF, show this error
end
set(gcf,'CloseRequestFcn',{@CloseFigure,handles});


function TmrFcn(src,event,handles)
%Timer Function to animate the GIF

handles = guidata(handles);
set(handles.h1,'CData',handles.im(:,:,:,handles.count)); %update the frame in the axis
handles.count = handles.count + 1; %increment to next frame

if handles.count > handles.len %if the last frame is achieved intialise to first frame
    handles.count = 1;
    
end
guidata(handles.guifig, handles);

function TmrFcn2(src,event,handles)
%Timer Function to animate the GIF

handles = guidata(handles);
set(handles.h12,'CData',handles.im(:,:,:,handles.count1)); %update the frame in the axis

handles.count1 = handles.count1 + 1;
if handles.count1 > handles.len1 %if the last frame is achieved intialise to first frame
        handles.count1 = 1;
end
guidata(handles.guifig, handles);

function edit4_Callback(hObject, eventdata, handles)
% hObject    handle to edit4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit4 as text
%        str2double(get(hObject,'String')) returns contents of edit4 as a double


% --- Executes during object creation, after setting all properties.
function edit4_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit5_Callback(hObject, eventdata, handles)
% hObject    handle to edit5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit5 as text
%        str2double(get(hObject,'String')) returns contents of edit5 as a double


% --- Executes during object creation, after setting all properties.
function edit5_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit6_Callback(hObject, eventdata, handles)
% hObject    handle to edit6 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit6 as text
%        str2double(get(hObject,'String')) returns contents of edit6 as a double


% --- Executes during object creation, after setting all properties.
function edit6_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit6 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit1_Callback(hObject, eventdata, handles)
% hObject    handle to edit1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit1 as text
%        str2double(get(hObject,'String')) returns contents of edit1 as a double


% --- Executes during object creation, after setting all properties.
function edit1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit2_Callback(hObject, eventdata, handles)
% hObject    handle to edit2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit2 as text
%        str2double(get(hObject,'String')) returns contents of edit2 as a double


% --- Executes during object creation, after setting all properties.
function edit2_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit3_Callback(hObject, eventdata, handles)
% hObject    handle to edit3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit3 as text
%        str2double(get(hObject,'String')) returns contents of edit3 as a double


% --- Executes during object creation, after setting all properties.
function edit3_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in radiobutton1.
function radiobutton1_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton1
if (get(hObject,'Value') == get(hObject,'Max'))
    % radiobutton zaznaczony - podejmij odpowiedni akcje
    set(handles.radiobutton2,'Value',0);
    set(handles.radiobutton3,'Value',0);
     
    set(handles.edit1,'String','90');
    set(handles.edit2,'String','0.09');
    
    
    
else
    % radiobutton niezaznaczony - podejmij odpowiedni akcje
    set(handles.radiobutton1,'Value',0);
    set(handles.edit1,'String','');
    set(handles.edit2,'String','');
    
    
    
end


% --- Executes on button press in radiobutton2.
function radiobutton2_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton2
if (get(hObject,'Value') == get(hObject,'Max'))
    % radiobutton zaznaczony - podejmij odpowiedni akcje
  set(handles.radiobutton1,'Value',0);
    set(handles.radiobutton3,'Value',0);
     
    set(handles.edit1,'String','90');
    set(handles.edit2,'String','3000');
    
    
else
    % radiobutton niezaznaczony - podejmij odpowiedni akcje
 set(handles.radiobutton2,'Value',0);
    set(handles.edit1,'String','');
    set(handles.edit2,'String','');
    
    
end


% --- Executes on button press in radiobutton3.
function radiobutton3_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton3
if (get(hObject,'Value') == get(hObject,'Max'))
    % radiobutton zaznaczony - podejmij odpowiedni akcje
    set(handles.radiobutton1,'Value',0);
    set(handles.radiobutton2,'Value',0);
     
    set(handles.edit1,'String','0.09');
    set(handles.edit2,'String','3000');
    
    
else
    % radiobutton niezaznaczony - podejmij odpowiedni akcje
set(handles.radiobutton3,'Value',0);
    set(handles.edit1,'String','');
    set(handles.edit2,'String','');
    
end



function edit7_Callback(hObject, eventdata, handles)
% hObject    handle to edit7 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit7 as text
%        str2double(get(hObject,'String')) returns contents of edit7 as a double


% --- Executes during object creation, after setting all properties.
function edit7_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit7 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit8_Callback(hObject, eventdata, handles)
% hObject    handle to edit8 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit8 as text
%        str2double(get(hObject,'String')) returns contents of edit8 as a double


% --- Executes during object creation, after setting all properties.
function edit8_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit8 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit9_Callback(hObject, eventdata, handles)
% hObject    handle to edit9 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit9 as text
%        str2double(get(hObject,'String')) returns contents of edit9 as a double


% --- Executes during object creation, after setting all properties.
function edit9_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit9 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton2.
function pushbutton2_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
selection = questdlg('Do you want to close the GUI?',...
                     'Close Request Function',...
                     'Yes','No','Yes');
switch selection,
   case 'Yes',
    delete(gcf)
    stop(handles.tmr);delete(handles.tmr);%removes the timer from memory
closereq;
   case 'No'
     return
end


% --- Executes during object creation, after setting all properties.
function axes1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to axes1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: place code in OpeningFcn to populate axes1
set(0,'DefaultAxesCreateFcn','set(gca,''Color'',''b'')')
