% nowotwor_1.m 
%
% AGH Akademia Grniczo-Hutnicza w Krakowie
% Laboratorium Biocybernetyki
%
% Wprowadzenie do modelowania cybernetycznego 
% systemw biologicznych oraz ich symulacji w rodowisku MATLAB
%
% Przykad 4.6
% Model proliferacji komrek nowotworowych
%---------------------------------------------------------------------
% Ustawienie parametrow symulacji:
czas = [0,120];  % przedzial czasu [h] (5 dni)
P0 = 2e8;        % poczatkowa liczba komorek (200mln)

% Symulacja:
[t,P] = ode45(@rownanie_proliferacji,czas,P0);

% Wyprowadzenie wynikow w formie graficznej:
plot(t,P);               % rysowanie wykresu
title('Symulacja proliferacji komorek nowotworowych');
xlabel('czas [h]');
ylabel('Liczba komorek nowotworowych Y(t) = P(t)');

