% nowotwor_2.m 
%
% AGH Akademia Grniczo-Hutnicza w Krakowie
% Laboratorium Biocybernetyki
%
% Wprowadzenie do modelowania cybernetycznego 
% systemw biologicznych oraz ich symulacji w rodowisku MATLAB
%
% Przykad 4.7
% Model proliferacji i uspakajania komrek nowotworowych
%---------------------------------------------------------------------
% Ustawienie parametrw symulacji:
czas = [0,120];  % przedzia czasu [h] (5 dni)
P0 = 2e8;        % pocztkowe liczby komorek P i Q
Q0 = 8e8;

% Symulacja:
[t,PQ] = ode45(@rownanie_guza,czas,[P0, Q0]);

% Wyprowadzenie wynikw w formie graficznej:
plot(t,PQ);               % rysowanie wykresu
title('Symulacja proliferacji i uspokajania komorek nowotworowych');
xlabel('czas [h]');
ylabel('Liczba komorek guza');
legend('Komorki proliferujace P',...
    'Komorki uspokojone Q','Location','Best');