% nowotwor_3.m 
%
% AGH Akademia Grniczo-Hutnicza w Krakowie
% Laboratorium Biocybernetyki
%
% Wprowadzenie do modelowania cybernetycznego 
% systemw biologicznych oraz ich symulacji w rodowisku MATLAB
%
% Przykad 4.8
% Model komrek nowotworowych ze sterowaniem (leczeniem)
%---------------------------------------------------------------------
% Ustawienie parametrw symulacji:
czas = [0,336];  % przedzia czasu [h] (2 tygodnie)
P0 = 2e8;        % pocztkowe liczby komorek P i Q
Q0 = 8e8;

% Symulacja:
[t,S] = ode45(@rownanie_leczonego_guza,czas,[P0, Q0]);

% Wyprowadzenie wynikw w formie graficznej:
subplot(2,1,1); plot(t,S); % wykres liczebnoci komrek
title('Symulacja przebiegu leczenia nowotworu');
xlabel('czas [h]');
ylabel('Liczba komorek guza');
legend('Komorki proliferujace P',...
    'Komorki uspokojone Q','Location','Best');
rysuj_stezenie(czas); % wykres przebiegu dozowania leku

