% nowotwor_4.m 
%
% AGH Akademia Grniczo-Hutnicza w Krakowie
% Laboratorium Biocybernetyki
%
% Wprowadzenie do modelowania cybernetycznego 
% systemw biologicznych oraz ich symulacji w rodowisku MATLAB
%
% Przykad 4.11
% Symulacja leczenia nowotworu i jego wpywu na ukad krwiotwrczy
%---------------------------------------------------------------------
% Ustawienie parametrw symulacji:
czas = [0,1464];  % przedzia czasu [h] (61 dni)
% Stan pocztkowy:
P0 = 2e8; Q0 = 8e8;  % liczba komrek guza
Np0=2000; Nd10=2300; Nd20=2400; Nd30=2100; Ncirc0=1500; % liczby krwinek
x0=0; xp0=0;         % stenia TPT

% Symulacja:
S0 = [P0; Q0; Np0; Nd10; Nd20; Nd30; Ncirc0; x0; xp0]; 
[t,S] = ode45(@rownania_modelu_chemoterapii,czas,S0);

% Rysowanie wykresw:
subplot(3,1,1), plot(t,S(:,8:9)); 
ylabel('Stezenie TPT');
title('Symulacja calosciowego modelu chemoterapii');
subplot(3,1,2), plot(t,S(:,1:2)); 
ylabel('Liczebnosc komorek guza');
subplot(3,1,3), plot(t,S(:,5)); 
ylabel('Liczba neutrofili');
xlabel('czas [h]');


