% Funkcja obliczajaca prawa strone rown.rozniczkowego
function dPQ_dt = rownanie_guza(t,PQ),

% Parametry komorek guza:
alfa = 0.02;  % staa uspokajania  [1/h]
beta = 0.004; % staa powrotu do dzielenia [1/h]
gamma = 0.01; % staa wzrostu [1/h]

% Rownanie rozniczkowe:
P = PQ(1);  Q=PQ(2);         % pobranie z wektora
dP_dt = (gamma-alfa)*P + beta*Q; % rwnanie (4.34)
dQ_dt = alfa*P - beta*Q;         % rownanie (4.35)
dPQ_dt = [dP_dt; dQ_dt];    % spakowanie do wektora
