function dS_dt = rownanie_leczonego_guza(t,S),
% Funkcja obliczajca praw stron rwnania rniczkowego.
% Trzeci element wektora S (jeeli istnieje) jest
% wartoci wejciow - steniem leku.

% Obliczenie dozowania leku w chwili t:
if length(S) == 3, x = S(3);
else               x = stezenie_leku(t);
end

% Parametry modelu:
alfa = 0.02;      % staa uspokajania  [1/h]
beta = 0.004;     % staa powrotu do dzielenia [1/h]
gamma = 0.01;     % staa wzrostu [1/h]
delta = 0.66;     % wspczynnik oddziaywania leku

% Rwnanie rniczkowe:
P = S(1);  Q=S(2);         % pobranie z wektora
dP_dt = (gamma-alfa-delta*x)*P + beta*Q; 
dQ_dt = alfa*P - beta*Q;             
dS_dt = [dP_dt; dQ_dt];    % spakowanie do wektora
