function dX_dt = rownanie_transferu_TPT(t,X),
% Funkcja obliczajca praw stron rwn.rniczkowego

% Parametry modelu:
ke = 0.8;   % wsp.naturalnego zaniku TPT w osoczu [1/h] 
kcp = 0.26; % wsp.przenikania TPT z strefy centralnej do peryferyjnej [1/h]
kpc = 0.27; % wsp.przenikania TPT z strefy peryferyjnej do centralnej [1/h]

xz = dozowanie_leku(t); % wyznaczenie dozowania w chwili t

x = X(1); xp = X(2);      % pobranie z wektora
dx_dt = -(ke+kcp)*x + kpc*xp + xz; % rwnania rniczkowe
dxp_dt = kcp*x - kpc*xp;
dX_dt = [dx_dt;dxp_dt];   % spakowanie do wektora
