function dN_dt = rownanie_ukladu_krwiotworczego(t,N),
% Funkcja obliczajca praw stron rwn.rniczkowego
% 6. element wektora N (jeeli istnieje) jest
% wartoci wejciow - steniem leku.

% Obliczenie dozowania leku w chwili t:
if length(N) == 6, x = N(6);
else               x = stezenie_leku(t);
end

% Parametry modelu:
kin = 0.09;  % tempo produkcji komrek macierzystych [1/h]
Km = 3000;   % parametr "poowy nasycenia" Ncirc [1/ul]
IC50 = 1.5;  % parametr "poowy nasycenia" TPT [ng/ul]
kbp = 0.07;  % tempo rnicowania [1/h]
kout = 0.1;  % tempo naturalnego obumierania neutrofili [1/h]

% Rwnania rniczkowe:
Np = N(1); Nd1 = N(2); Nd2=N(3); Nd3=N(4); Ncirc=N(5); %pobranie z wektora
dNp_dt = (kin*Km/(Km+Ncirc)*IC50/(IC50+x))*Np - kbp*Np;
dNd1_dt = kbp*(Np-Nd1);
dNd2_dt = kbp*(Nd1-Nd2);
dNd3_dt = kbp*(Nd2-Nd3);
dNcirc_dt = kbp*Nd3 - kout*Ncirc;
dN_dt = [dNp_dt;dNd1_dt;dNd2_dt;dNd3_dt;dNcirc_dt]; % spakowanie do wektora
