% transfer_leku.m 
%
% AGH Akademia Grniczo-Hutnicza w Krakowie
% Laboratorium Biocybernetyki
%
% Wprowadzenie do modelowania cybernetycznego 
% systemw biologicznych oraz ich symulacji w rodowisku MATLAB
%
% Przykad 4.10
% Model transferu leku w organizmie
%---------------------------------------------------------------------
% Ustawienie parametrw symulacji:
czas = [0,336];  % przedzia czasu [h] (2 tygodnie)
x0=0;  xp0=0;    % pocztkowe stenia TPT:

% Symulacja:
[t,X] = ode15s(@rownanie_transferu_TPT,czas,[x0; xp0]);

% Wyprowadzenie wynikw w formie graficznej:
subplot(2,1,1), plot(t,X(:,1),'b',t,X(:,2),'r'); % wykres liczebnoci komrek
title('Symulacja transferu leku TPT');
xlabel('czas [h]');
ylabel('Stezenia leku w osoczu');
legend('{\itx(t)}','{\itx_p(t)}','Location','Best');
rysuj_dozowanie(czas); % wykres przebiegu dozowania leku