% ukad_krwiotwrczy.m 
%
% AGH Akademia Grniczo-Hutnicza w Krakowie
% Laboratorium Biocybernetyki
%
% Wprowadzenie do modelowania cybernetycznego 
% systemw biologicznych oraz ich symulacji w rodowisku MATLAB
%
% Przykad 4.9
% Model oddziaywania leku TPT na wytwarzanie neutrofili
%---------------------------------------------------------------------
% Ustawienie parametrw symulacji:
czas = [0,336];  % przedzia czasu [h] (2 tygodnie)
% Pocztkowa liczebno komrek:
Np0=2000; Nd10=2300; Nd20=2400; Nd30=2100;
Ncirc0=1500;

% Symulacja:
N0 = [Np0; Nd10; Nd20; Nd30; Ncirc0];  % stan pocztkowy
[t,N] = ode45(@rownanie_ukladu_krwiotworczego,czas,N0);

% Wyprowadzenie wynikw w formie graficznej:
subplot(2,1,1), plot(t,N(:,5)); % wykres liczebnoci komrek
title('Symulacja pracy ukladu krwiotworczego w obecnosci TPT');
xlabel('czas [h]');
ylabel('Liczba neutrofili w krwi {\itN_{circ}}');
rysuj_stezenie(czas); % wykres przebiegu dozowania leku

% Uywane tu funkcje stezenie_leku oraz rysuj_stezenie
% s przedstawione w przykadzie 4.8

