%glukoza.m 
%
% AGH Akademia Grniczo-Hutnicza w Krakowie
% Laboratorium Biocybernetyki
%
% Wprowadzenie do modelowania cybernetycznego 
% systemw biologicznych oraz ich symulacji w rodowisku MATLAB
%
% Przykad 4.14 i 4.15
% Model systemu zalenoci glukoza - insulina
%---------------------------------------------------------------------

% Warunki pocztkowe - stan rwnowagi 
G_0 = 100 % Warto stenia glukozy [mg/dl] 
I_0 = 0;  % Warto insuliny  
  
% Wektor danych pocztkowych glukozy i insuliny oraz 
% parametrw 
% Parametry: a1, a3, podanie dawki insuliny  
 % (0-nie,1-tak) 
 
% Parametry dla osoby zdrowej 
x1 = [G_0; I_0; 0.05; 0.5; 0]; 
% Parametry dla osoby chorej - cukrzyca typu II 
x2 = [G_0; I_0; 0.001; 0.5; 0]; 
 
% Parametry dla osoby chorej - cukrzyca typu I,  
% bez podania insuliny 
x3 = [G_0; I_0; 0.05; 0; 0]; 
 
% Parametry dla osoby chorej-cukrzyca typu I z podaniem 
% insuliny 
x4 = [130; 0; 0.05; 0; 1]; 
  
% Czas symulacji [h] 
t_s = 6; 
  
% Symulacja dla czowieka zdrowego po spoyciu posiku 
[t1, dane] = ode15s(@symulacja, [0 t_s], x1); 
  
% Wyodrbnienie wartoci glukozy oraz insuliny 
G1 = dane(:,1); 
I1 = dane(:,2); 
  
% Symulacja cukrzycy typu II 
[t2,dane] = ode15s(@symulacja, [0 t_s], x2); 
  
% Wyodrbnienie wartoci glukozy oraz insuliny 
G2 = dane(:,1); 
I2 = dane(:,2); 
  
% Symulacja cukrzycy typu I bez podania insuliny 
[t3,dane] = ode15s(@symulacja, [0 t_s], x3); 
  
% Wyodrbnienie wartoci glukozy oraz insuliny 
G3 = dane(:,1); 
I3 = dane(:,2); 
  
% Czas symulacji [h] 
t_s = 10; 
 
% Symulacja cukrzycy typu I z podaniem insuliny 
[t4,dane] = ode15s(@symulacja, [0 t_s], x4); 
  
% Wyodrbnienie wartoci glukozy oraz insuliny 
G4 = dane(:,1); 
I4 = dane(:,2);

% Wykresy

figure(1);

subplot(2,1,1);
plot(t1,G1);
title('Dynamika glukozy');
xlabel('Czas [h]');
ylabel('Glukoza[mg/dl]');
subplot(2,1,2);
plot(t1,I1);
title('Dynamika insuliny');
xlabel('Czas [h]');
ylabel('Insulina[mU/ml]');
suptitle('Osoba zdrowa');

figure(2);
subplot(2,1,1);
plot(t2,G2);
title('Dynamika glukozy');
xlabel('Czas [h]');
ylabel('Glukoza[mg/dl]');
subplot(2,1,2);
plot(t2,I2);
title('Dynamika insuliny');
xlabel('Czas [h]');
ylabel('Insulina[mU/ml]');
suptitle('Cukrzyca typu II');

figure(3);
subplot(2,1,1);
plot(t3,G3);
title('Dynamika glukozy');
xlabel('Czas [h]');
ylabel('Glukoza[mg/dl]');
subplot(2,1,2);
plot(t3,I3);
title('Dynamika insuliny');
xlabel('Czas [h]');
ylabel('Insulina[mU/ml]');
suptitle('Cukrzyca typu I bez podania insuliny');

figure(4);
subplot(2,1,1);
plot(t4,G4);
title('Dynamika glukozy');
xlabel('Czas [h]');
ylabel('Glukoza[mg/dl]');
subplot(2,1,2);
plot(t4,I4);
title('Dynamika insuliny');
xlabel('Czas [h]');
ylabel('Insulina[mU/ml]');
suptitle('Cukrzyca typu I z podaniem insuliny');