% glukoza-insulina.m
%
% AGH Akademia Grniczo-Hutnicza w Krakowie
% Laboratorium Biocybernetyki
%
% Wprowadzenie do modelowania cybernetycznego 
% systemw biologicznych oraz ich symulacji w rodowisku MATLAB
%
%
% Program okienkowy Model systemu zalenoci glukoza - insulina
%---------------------------------------------------------------------

function varargout = glukoza_insulina(varargin)
% GLUKOZA_INSULINA M-file for glukoza_insulina.fig
%      GLUKOZA_INSULINA, by itself, creates a new GLUKOZA_INSULINA or raises the existing
%      singleton*.
%
%      H = GLUKOZA_INSULINA returns the handle to a new GLUKOZA_INSULINA or the handle to
%      the existing singleton*.
%
%      GLUKOZA_INSULINA('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in GLUKOZA_INSULINA.M with the given input arguments.
%
%      GLUKOZA_INSULINA('Property','Value',...) creates a new GLUKOZA_INSULINA or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before glukoza_insulina_OpeningFcn gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to glukoza_insulina_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help glukoza_insulina

% Last Modified by GUIDE v2.5 28-Sep-2011 23:17:57

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @glukoza_insulina_OpeningFcn, ...
                   'gui_OutputFcn',  @glukoza_insulina_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before glukoza_insulina is made visible.
function glukoza_insulina_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to glukoza_insulina (see VARARGIN)

% Choose default command line output for glukoza_insulina
handles.output = hObject;

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes glukoza_insulina wait for user response (see UIRESUME)
% uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = glukoza_insulina_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;


%symulacja
function pushbutton1_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


%pobranie parametrw
a1=str2num(get(handles.edit4,'string'));
a3=str2num(get(handles.edit6,'string'));
i=str2num(get(handles.edit7,'string'));

%Warunki pocztkowe -stan rwnowagi
G_0= 100 %[mg/dl];  Warto stenia glukozy

I_0= 0;   % Warto insuliny 

%Wektor danych pocztkowych glukozy i insuliny oraz parametrw
%Parametry:a1,a3,podanie dawki insuliny(0-nie,1-tak)

%Parametry 
x= [G_0;I_0;a1;a3;i];
% Czas symulacji [h]
t_s = 6;
%Symulacja dla czowieka zdrowego po spoyciu posiku
[t1,dane] = ode15s('symulacja',[0 t_s],x);

%Wyodrbnienie wartoci glukozy oraz insuliny
G = dane(:,1);
I = dane(:,2);

set(handles.axes1,'Visible','on') 
set(handles.axes2,'Visible','on') 
%wykres
axes(handles.axes1);
plot(t1,G,'--rs','LineWidth',2,...
                'MarkerEdgeColor','k',...
                'MarkerFaceColor','g',...
                'MarkerSize',10);
grid on;            
title('Dynamika glukozy');
xlabel('Czas [h]');
ylabel('Glukoza[mg/dl]');

axes(handles.axes2);
plot(t1,I,'--rs','LineWidth',2,...
                'MarkerEdgeColor','k',...
                'MarkerFaceColor','g',...
                'MarkerSize',10);
title('Dynamika insuliny');
xlabel('Czas [h]');
ylabel('Insulina[mU/ml]');
grid on;


% --- Executes on button press in radiobutton1.
function radiobutton1_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton1
if (get(hObject,'Value') == get(hObject,'Max'))
    % radiobutton zaznaczony - podejmij odpowiedni akcje
    set(handles.radiobutton2,'Value',0);
    set(handles.radiobutton4,'Value',0);
    set(handles.radiobutton5,'Value',0);
    
    set(handles.edit4,'String','0.05');
    set(handles.edit6,'String','0.5');
    set(handles.edit7,'String','0');
    
    
else
    % radiobutton niezaznaczony - podejmij odpowiedni akcje
    set(handles.radiobutton1,'Value',0);
    set(handles.edit4,'String','');
    set(handles.edit6,'String','');
    set(handles.edit7,'String','');
    
    
end


% --- Executes on button press in radiobutton2.
function radiobutton2_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton2
if (get(hObject,'Value') == get(hObject,'Max'))
    % radiobutton zaznaczony - podejmij odpowiedni akcje
    set(handles.radiobutton1,'Value',0);
    set(handles.radiobutton4,'Value',0);
    set(handles.radiobutton5,'Value',0);
    
    set(handles.edit4,'String','0.05');
    set(handles.edit6,'String','0');
    set(handles.edit7,'String','0');
    
    
else
    % radiobutton niezaznaczony - podejmij odpowiedni akcje
    set(handles.radiobutton2,'Value',0);
    set(handles.edit4,'String','');
    set(handles.edit6,'String','');
    set(handles.edit7,'String','');
    
    
end

% --- Executes on button press in radiobutton4.
function radiobutton4_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton4
if (get(hObject,'Value') == get(hObject,'Max'))
    % radiobutton zaznaczony - podejmij odpowiedni akcje
    set(handles.radiobutton1,'Value',0);
    set(handles.radiobutton2,'Value',0);
    set(handles.radiobutton5,'Value',0);
    
    set(handles.edit4,'String','0.05');
    set(handles.edit6,'String','0');
    set(handles.edit7,'String','1');
    
    
else
    % radiobutton niezaznaczony - podejmij odpowiedni akcje
    set(handles.radiobutton4,'Value',0);
    set(handles.edit4,'String','');
    set(handles.edit6,'String','');
    set(handles.edit7,'String','');
    
    
end

% --- Executes on button press in radiobutton5.
function radiobutton5_Callback(hObject, eventdata, handles)
% hObject    handle to radiobutton5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of radiobutton5

if (get(hObject,'Value') == get(hObject,'Max'))
    % radiobutton zaznaczony - podejmij odpowiedni akcje
    set(handles.radiobutton2,'Value',0);
    set(handles.radiobutton4,'Value',0);
    set(handles.radiobutton1,'Value',0);
    
    set(handles.edit4,'String','0.0001');
    set(handles.edit6,'String','0.5');
    set(handles.edit7,'String','0');
    
    
else
    % radiobutton niezaznaczony - podejmij odpowiedni akcje
    set(handles.radiobutton5,'Value',0);
    set(handles.edit4,'String','');
    set(handles.edit6,'String','');
    set(handles.edit7,'String','');
    
    
end

function edit4_Callback(hObject, eventdata, handles)
% hObject    handle to edit4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit4 as text
%        str2double(get(hObject,'String')) returns contents of edit4 as a double


% --- Executes during object creation, after setting all properties.
function edit4_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit5_Callback(hObject, eventdata, handles)
% hObject    handle to edit5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit5 as text
%        str2double(get(hObject,'String')) returns contents of edit5 as a double


% --- Executes during object creation, after setting all properties.
function edit5_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit6_Callback(hObject, eventdata, handles)
% hObject    handle to edit6 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit6 as text
%        str2double(get(hObject,'String')) returns contents of edit6 as a double


% --- Executes during object creation, after setting all properties.
function edit6_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit6 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit7_Callback(hObject, eventdata, handles)
% hObject    handle to edit7 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit7 as text
%        str2double(get(hObject,'String')) returns contents of edit7 as a double


% --- Executes during object creation, after setting all properties.
function edit7_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit7 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end
