% symulacja.m
%
% AGH Akademia Grniczo-Hutnicza w Krakowie
% Laboratorium Biocybernetyki
%
% Wprowadzenie do modelowania cybernetycznego 
% systemw biologicznych oraz ich symulacji w rodowisku MATLAB
%
% Przykad 4.13
% Rwnanie modelu glukoza-insulina
%---------------------------------------------------------------------

function dane = symulacja(t,x)

%Parametry symulacji
% Stenie glukozy [mg/dl]
G = x(1,1);

% Stenie insuliny [mg/dl]
I = x(2,1);

%Parametry
a1 = x(3,1)
a3 = x(4,1)
in  = x(5,1)
M=100; %Stan rwnowagi

%Poywienie przenikaje do krwi po spoyciu posiku
if(in==0)
    g_p = 50 * exp(-t/(0.6));
else
    g_p=0;
end

%Przenikanie zewntrznie podanej dawki insuliny

    i_z=in* 30 * exp(-t/(0.3));


%Zmiana zawartoci glukozy
if (G<M)
    G_n=-a1*G*I+1*(M-G)+1*g_p;
else
    G_n=-a1*G*I+1*g_p;
end
%Zmiana zawartoci insuliny
if (G>=M)
    I_n=a3*(G-M)-2*I+i_z;
else
    I_n=-2*I+i_z;
end

dane = [G_n;I_n;0;0;0];