% epidemia_sis.m
%
% AGH Akademia Grniczo-Hutnicza w Krakowie
% Laboratorium Biocybernetyki
%
% Wprowadzenie do modelowania cybernetycznego 
% systemw biologicznych oraz ich symulacji w rodowisku MATLAB
%
% Przykad 4.16
% Rwnanie modelu SIS - osobniki zainfekowane
%---------------------------------------------------------------------

% Dane wejciowe modelu:
t0 = 0;  % czas pocztkowy symulacji
tk = 10; % czas kocowy symulacji
h = 0.1; % krok rozwizywania (pocztkowy)
I0 = 0.7;% proporcja osobnikw zainfekowanych w chwili t0
 
% Rozwizanie rwnania rniczkowego metod przyblion Dormand-Prince
[wektor_czasu, osobniki_zainfekowane] = ode45(@model_matematyczny_sis, [t0, tk], I0, h);
 
% Wyznaczenie liczby osobnikw podatnych
osobniki_podatne = 1 - osobniki_zainfekowane;
 
% Przebiegi liczby osobnikw zainfekowanych i podatnych w zalenoci od czasu
hold on;
plot(wektor_czasu, osobniki_podatne, 'r-');
plot(wektor_czasu, osobniki_zainfekowane, 'b-'); 
 
% Ustawienie legendy, tytuu, opisw osi oraz uwidocznienie siatki
legend('Osobniki podatne', 'Osobniki zainfekowane');
title('Model epidemii SIS (S_0 = 0.99, I_0 = 0.01, \delta > 1)');
xlabel('Czas');
ylabel('Proporcja populacji');
grid on
hold off;