% model_matematyczny_sirs.m
%
% AGH Akademia Grniczo-Hutnicza w Krakowie
% Laboratorium Biocybernetyki
%
% Wprowadzenie do modelowania cybernetycznego 
% systemw biologicznych oraz ich symulacji w rodowisku MATLAB
%
% Przykad 4.18
% Rwnania modelu SIRS - osobniki podatne, zainfekowane i uodpornione
%---------------------------------------------------------------------

function [rezultat] = model_matematyczny_sirs(t, arg) 
beta = 0.4;           % wspczynnik zakae
lambda = 0.1;         % wspczynnik (uodpornie) wyzdrowie
alfa = 0.1;           % wspczynnik utraty odpornoci

% ukad rwna rniczkowych (4.68)
rezultat(1) = -beta*arg(1)*arg(2) + alfa*arg(3);  
rezultat(2) = beta*arg(1)*arg(2) - lambda*arg(2);  
rezultat(3) = lambda*arg(2) - alfa*arg(3);         
rezultat = rezultat';
